<a name="readme-top"></a>

[![Contributors][contributors-shield]][contributors-url]
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![BSD-3 License][license-shield]][license-url]
[![LinkedIn][linkedin-shield]][linkedin-url]

<br />
<div align="center">
  <a href="https://www.variscite.com/">
    <img src="sphinx/images/var_logo.png" alt="Logo">
  </a>

<h3 align="center">Python API for Developers</h3>

  <p align="center">
    This library helps developers to get started with Machine Learning, Multimedia, and more.
    <br />
    <a href="https://github.com/varigit/pyvar/issues">Report Bug</a>
    ·
    <a href="https://github.com/varigit/pyvar/issues">Request Feature</a>
  </p>
</div>

## About

This repository contains an easy-to-use `Python API` with a set of high-level
abstractions that helps any beginning user to learn and develop its applications
regarding Machine Learning, multimedia, and more.

## Getting Started

### Prerequisites

Make sure you have the latest Yocto BSP:
   * Build it by following the instructions at the [Variscite Wiki](https://variwiki.com/), or;
   * Retrieve the latest image from the [Variscite FTP](https://ftp.variscite.com/files).

### Install the Python API via Pip Tool

To install the prebuilt Python API, use the pip tool:
   ```sh
   pip3 install pyvar
   ```
For more information, please see the [python.variscite.com/software](https://python.variscite.com/pyvar.gettingstarted.html#software) page.

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## Documentation and Examples

The full documentation is available at the [python.variscite.com](https://python.variscite.com/) page. See a few examples at the following links:

* [Python API Examples](https://python.variscite.com/pyvar.quickexamples.html)
* [Python API GitHub Repository](https://github.com/varigit/pyvar/tree/master/examples/ml)
* [Variscite Demo's Repository](https://github.com/varigit/var-demos/tree/master/machine-learning-demos)

<p align="right">(<a href="#readme-top">back to top</a>)</p>

## Copyright and License

Copyright 2021-2022 Variscite LTD.

Free use of this software is granted under the terms of the [BSD 3-Clause License](https://github.com/varigit/pyvar/blob/master/LICENSE).

<p align="right">(<a href="#readme-top">back to top</a>)</p>

[contributors-shield]: https://img.shields.io/github/contributors/varigit/pyvar.svg?style=for-the-badge
[contributors-url]: https://github.com/varigit/pyvar/graphs/contributors
[forks-shield]: https://img.shields.io/github/forks/varigit/pyvar.svg?style=for-the-badge
[forks-url]: https://github.com/varigit/pyvar/network/members
[stars-shield]: https://img.shields.io/github/stars/varigit/pyvar.svg?style=for-the-badge
[stars-url]: https://github.com/varigit/pyvar/stargazers
[issues-shield]: https://img.shields.io/github/issues/varigit/pyvar.svg?style=for-the-badge
[issues-url]: https://github.com/varigit/pyvar/issues
[license-shield]: https://img.shields.io/github/license/varigit/pyvar.svg?style=for-the-badge
[license-url]: https://github.com/varigit/pyvar/blob/master/LICENSE.txt
[linkedin-shield]: https://img.shields.io/badge/-LinkedIn-black.svg?style=for-the-badge&logo=linkedin&colorB=555
[linkedin-url]: https://linkedin.com/company/variscite-ltd-
